#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	libXML library
Summary(es.UTF-8):	Biblioteca libXML
Summary(pl.UTF-8):	Biblioteka libxml
Summary(pt_BR.UTF-8):	Biblioteca libXML
Summary(ru.UTF-8):	Библиотека XML
Summary(uk.UTF-8):	Бібліотека XML
Name:		libxml
Version:	1.8.17
Release:	14
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://xmlsoft.org/old/%{name}-%{version}.tar.gz
# Source0-md5:	53846294aa850a7d042948176d1d19dc
Patch0:		%{name}-am15.patch
Patch1:		%{name}-pmake.patch
Patch2:		%{name}-urlbound.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-CAN-2004-0989.patch
Patch5:		%{name}-open.patch
Patch6:		format-security.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate XML files.

%description -l es.UTF-8
Esta biblioteca permite manipulación de archivos XML.

%description -l pl.UTF-8
Biblioteka libxml umożliwia manipulowanie zawartością plików XML.

%description -l pt_BR.UTF-8
Esta biblioteca permite a manipulação de arquivos XML.

%description -l ru.UTF-8
Пакет libxml содержит библиотеку XML, которая позволяет манипулировать
XML файлами. XML (eXtensible Markup Language) - это формат данных для
обмена структурированными документами через Web.

%description -l uk.UTF-8
Пакет libxml містить бібліотеку XML, яка дозволяє маніпулювати XML
файлами. XML (eXtensible Markup Language) - це формат даних для обміну
струкурованими документами через Web.

%package devel
Summary:	Header files etc to develop libxml applications
Summary(es.UTF-8):	Archivos de inclusión para desarrollo de aplicaciones libXML
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia aplikacji używających libxml
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolvimento de aplicações que usem a biblioteca libxml
Summary(ru.UTF-8):	Хедеры и другие файлы для разработки libxml приложений
Summary(uk.UTF-8):	Хедери та інші файли для розробки libxml програм
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk-doc-common
Requires:	zlib-devel

%description devel
Header files etc you can use to develop libxml applications.

%description devel -l es.UTF-8
Biblioteca y archivos de inclusión para desarrollo de aplicaciones
libXML.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i inne do libxml niezbędne przy
tworzeniu aplikacji opartych o tę bibliotekę.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
que usem a biblioteca libxml.

%description devel -l ru.UTF-8
Пакет libxml-devel содержит хедеры и другие файлы для разработки
libxml приложений.

%description devel -l uk.UTF-8
Пакет libxml-devel містить хедери та інші файли для розробки libxml
програм.

%package static
Summary:	Static libxml library
Summary(pl.UTF-8):	Biblioteka statyczna libxml
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações que usem a biblioteca libxml
Summary(ru.UTF-8):	Статические библиотеки для разработки libxml приложений
Summary(uk.UTF-8):	Статичні бібліотеки для розробки libxml програм
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libxml library.

%description static -l pl.UTF-8
Biblioteka statyczna libxml.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações que usem a
biblioteca libxml.

%description static -l ru.UTF-8
Пакет libxml-static содержит cтатические библиотеки для разработки
libxml приложений.

%description static -l uk.UTF-8
Пакет libxml-static містить cтатичні бібліотеки для розробки libxml
програм.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pkgconfigdir=%{_pkgconfigdir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p debian/xml-config.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xml-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/gnome-xml
%{_pkgconfigdir}/*
%{_gtkdocdir}/gnome-xml
%{_mandir}/man1/xml-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxml.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6fc678f
- x32 rebuild
- release 14 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 1dd6f1e
- fix format string errors

* Mon Aug 29 2011 Elan Ruusamäe <glen@pld-linux.org> e828b62
- release 13

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b6784d3
- dropped pre-cvs changelog

* Wed Sep 02 2009 tommat <tommat@pld-linux.org> a161939
- rel 13

* Wed Sep 02 2009 tommat <tommat@pld-linux.org> 51157d9
- added open patch to build with new glibc
- ghost soname symlink

* Mon Aug 20 2007 witekfl <witekfl@pld-linux.org> 6867923
- added bcond_without static_libs

* Tue Mar 06 2007 spider <spider@pld-linux.org> 10127d6
- rel++
- STBR

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 43bd1ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cfb881c
- converted to UTF-8

* Tue May 03 2005 Paweł Sikora <pluto@pld-linux.org> 749d8cb
- release 11 for Th.

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 588939a
- more fixes in urlbound patch, added CAN-2004-0989 patch; release 10

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 7a1df36
- backport from libxml2 2.6.15

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> e9841ec
- added fixes missing in Debian's backport

* Sat Sep 25 2004 radek <radek@pld-linux.org> e1ee737
- cosmetics (spaces -> tabs)

* Thu Mar 11 2004 Jakub Bogusz <qboosh@pld-linux.org> c5e0835
- added urlbound patch (fixes buffer overflows, CAN-2004-0110)
- added man patch with xml-config(1) manual from Debian
- release 9 for Ac

* Thu Mar 11 2004 Jakub Bogusz <qboosh@pld-linux.org> f164ba1
- xml-config(1) manual from Debian

* Thu Mar 11 2004 Jakub Bogusz <qboosh@pld-linux.org> d4b7be1
- Debian's backport of RH's patch, fixes CAN-2004-0110

* Fri Aug 15 2003 Jakub Bogusz <qboosh@pld-linux.org> af3e6c0
- cleanups, install gtk-doc html in standard place

* Mon Aug 11 2003 areq <areq@pld-linux.org> 3a1c509
- release 8, rebuild in NEST

